# azure.mgmt.batch.models module

class `azure.mgmt.batch.models.``AutoStorageBaseProperties`(storage_account_id)

  Bases: `msrest.serialization.Model`

  The properties related to auto storage account.

  Parameters: | storage_account_id (str) – The resource id of the storage account to be used for auto storage account.

class `azure.mgmt.batch.models.``BatchAccountCreateParameters`(location=None, tags=None, auto_storage=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the Create operation.

  Parameters:

  - location (str) – The region in which the account is created.
  - tags (dict) – The user specified tags associated with the account.
  - auto_storage (`AutoStorageBaseProperties`) – The properties related to auto storage account.

class `azure.mgmt.batch.models.``AutoStorageProperties`(storage_account_id, last_key_sync)

  Bases: `msrest.serialization.Model`

  Contains information about the auto storage account associated with a Batch account.

  Parameters:

  - storage_account_id (str) – The resource id of the storage account to be used for auto storage account.
  - last_key_sync (datetime) – The UTC time at which storage keys were last synchronized with the Batch account.

class `azure.mgmt.batch.models.``AccountResource`(core_quota, pool_quota, active_job_and_job_schedule_quota, location=None, tags=None, account_endpoint=None, provisioning_state=None, auto_storage=None)

  Bases: `azure.mgmt.batch.models.resource.Resource`

  Contains information about an Azure Batch account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The id of the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource

  Parameters:

  - location (str) – The location of the resource
  - tags (dict) – The tags of the resource
  - account_endpoint (str) – The endpoint used by this account to interact with the Batch services.
  - provisioning_state (str or `AccountProvisioningState`) – The provisioned state of the resource. Possible values include: ‘Invalid’, ‘Creating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Cancelled’
  - auto_storage (`AutoStorageProperties`) – The properties and status of any auto storage account associated with the account.
  - core_quota (int) – The core quota for this Batch account.
  - pool_quota (int) – The pool quota for this Batch account.
  - active_job_and_job_schedule_quota (int) – The active job and job schedule quota for this Batch account.

class `azure.mgmt.batch.models.``BatchAccountUpdateParameters`(tags=None, auto_storage=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the Update operation.

  Parameters:

  - tags (dict) – The user specified tags associated with the account.
  - auto_storage (`AutoStorageBaseProperties`) – The properties related to auto storage account.

class `azure.mgmt.batch.models.``BatchAccountRegenerateKeyParameters`(key_name)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the RegenerateKey operation.

  Parameters: | key_name (str or `AccountKeyType`) – The type of account key to regenerate. Possible values include: ‘Primary’, ‘Secondary’

class `azure.mgmt.batch.models.``BatchAccountRegenerateKeyResult`(primary=None, secondary=None)

  Bases: `msrest.serialization.Model`

  Values returned by the RegenerateKey operation.

  Parameters:

  - primary (str) – The primary key associated with the account.
  - secondary (str) – The secondary key associated with the account.

class `azure.mgmt.batch.models.``BatchAccountListKeyResult`(primary=None, secondary=None)

  Bases: `msrest.serialization.Model`

  Values returned by the GetKeys operation.

  Parameters:

  - primary (str) – The primary key associated with the account.
  - secondary (str) – The secondary key associated with the account.

class `azure.mgmt.batch.models.``ActivateApplicationPackageParameters`(format)

  Bases: `msrest.serialization.Model`

  Parameters for an ApplicationOperations.ActivateApplicationPackage request.

  Parameters: | format (str) – The format of the application package binary file.

class `azure.mgmt.batch.models.``AddApplicationParameters`(allow_updates=None, display_name=None)

  Bases: `msrest.serialization.Model`

  Parameters for an ApplicationOperations.AddApplication request.

  Parameters:

  - allow_updates (bool) – A value indicating whether packages within the application may be overwritten using the same version string.
  - display_name (str) – The display name for the application.

class `azure.mgmt.batch.models.``AddApplicationPackageResult`(id=None, version=None, storage_url=None, storage_url_expiry=None)

  Bases: `msrest.serialization.Model`

  Response to an ApplicationOperations.AddApplicationPackage request.

  Parameters:

  - id (str) – The id of the application.
  - version (str) – The version of the application.
  - storage_url (str) – The URL to which the application package binary file should be uploaded.
  - storage_url_expiry (datetime) – The UTC time at which the storage URL will expire.

class `azure.mgmt.batch.models.``ApplicationPackage`(version=None, state=None, format=None, last_activation_time=None)

  Bases: `msrest.serialization.Model`

  Contains information about an application package.

  Parameters:

  - version (str) – The version of the application package.
  - state (str or `PackageState`) – The current state of the application package. Possible values include: ‘pending’, ‘active’, ‘unmapped’
  - format (str) – The format of the application package, if the package has been activated.
  - last_activation_time (datetime) – The time at which the package was last activated, if the package is active.

class `azure.mgmt.batch.models.``Application`(id=None, display_name=None, packages=None, allow_updates=None, default_version=None)

  Bases: `msrest.serialization.Model`

  Contains information about an application in a Batch account.

  Parameters:

  - id (str) – A string that uniquely identifies the application within the account.
  - display_name (str) – The display name for the application.
  - packages (list of `ApplicationPackage`) – The list of packages under this application.
  - allow_updates (bool) – A value indicating whether packages within the application may be overwritten using the same version string.
  - default_version (str) – The package to use if a client requests the application but does not specify a version.

class `azure.mgmt.batch.models.``GetApplicationPackageResult`(id=None, version=None, state=None, format=None, storage_url=None, storage_url_expiry=None, last_activation_time=None)

  Bases: `msrest.serialization.Model`

  Response to an ApplicationOperations.GetApplicationPackage request.

  Parameters:

  - id (str) – The id of the application.
  - version (str) – The version of the application package.
  - state (str or `PackageState`) – The current state of the application package. Possible values include: ‘pending’, ‘active’, ‘unmapped’
  - format (str) – The format of the application package, if the package is active.
  - storage_url (str) – The storage URL at which the application package is stored.
  - storage_url_expiry (datetime) – The UTC time at which the storage URL will expire.
  - last_activation_time (datetime) – The time at which the package was last activated, if the package is active.

class `azure.mgmt.batch.models.``UpdateApplicationParameters`(allow_updates=None, default_version=None, display_name=None)

  Bases: `msrest.serialization.Model`

  Parameters for an ApplicationOperations.UpdateApplication request.

  Parameters:

  - allow_updates (bool) – A value indicating whether packages within the application may be overwritten using the same version string.
  - default_version (str) – The package to use if a client requests the application but does not specify a version.
  - display_name (str) – The display name for the application.

class `azure.mgmt.batch.models.``SubscriptionQuotasGetResult`(account_quota=None)

  Bases: `msrest.serialization.Model`

  Values returned by the Get Subscription Quotas operation.

  Parameters: | account_quota (int) – The number of Batch accounts that may be created under the subscription in the specified region.

class `azure.mgmt.batch.models.``Resource`(location=None, tags=None)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The id of the resource
  - name (str) – The name of the resource
  - type (str) – The type of the resource

  Parameters:

  - location (str) – The location of the resource
  - tags (dict) – The tags of the resource

class `azure.mgmt.batch.models.``AccountResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of AccountResource object

class `azure.mgmt.batch.models.``ApplicationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Application object

class `azure.mgmt.batch.models.``AccountProvisioningState`

  Bases: `enum.Enum`

  `cancelled` = 'Cancelled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `invalid` = 'Invalid'
  `succeeded` = 'Succeeded'

class `azure.mgmt.batch.models.``AccountKeyType`

  Bases: `enum.Enum`

  `primary` = 'Primary'
  `secondary` = 'Secondary'

class `azure.mgmt.batch.models.``PackageState`

  Bases: `enum.Enum`

  `active` = 'active'
  `pending` = 'pending'
  `unmapped` = 'unmapped'